Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5493 - XF86_SVGA does not work...
Summary: XF86_SVGA does not work...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-04 17:12 UTC by fons.rademakers
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 17:10:41 UTC


Attachments (Terms of Use)

Description fons.rademakers 1999-10-04 17:12:31 UTC
Hardware: HP Kayak PIII 500 MHz, Matrox G200 8MB.

XF86_SVGA does not work. Under 6.0 with the same XF86Config
file there is no problem.

During the install the hardware and monitor (HP P1100)
were correctly detected, however clicking on "Test X
configuration" produced a black screen and the monitor lost
signal (went in sleep mode). After re-install of 6.1
(not clicking on "Test X") and going to X via telinit 5
same problem.

Show-stopper.



------- Additional Comments From   10/19/99 00:48 -------
On an identical HP Kayak (except using a ViewSonic P795 monitor) we
are successfully running XF86_SVGA.  Additionally, a generic system
with the Matrox G200 16MB and a Sony 400PS tests/runs great as well.

------- Additional Comments From   10/19/99 22:21 -------
i've noticed the same problem on the 3 machines i've installed it on
that are using Voodoo Banshee (AOC 7Glr), onboard SiS (old AOC
thing), and some cheap PCI Cirrus Logic card (NEC Multisync 3D).

At least i can still login remotely (or blindly, locally) and kill
X...

Comment 1 fons.rademakers 1999-10-20 09:07:59 UTC
It turns out to be a problem with the specs of the HP P1100 monitor in
the setup database used by the graphical installer. Its capabilities
are just a bit too high which cause the wrong modeline to be taken.
Using Xconfigurator and specifying the monitor capabilities for
1600x1200 at 72Hz (a bit lower than the nominal specs of the monitor)
produces a correct XF86Config file. Please change the specs of the
P1100 in the GUI used db.

-- Fons

Comment 2 Preston Brown 2000-01-14 17:10:59 UTC
fixed for next release.  The installer will be slightly more conservative about
determining monitor timings.


Note You need to log in before you can comment on or make changes to this bug.